## com.puppycrawl.tools.checkstyle.checks.naming
Class StaticVariableNameCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
                      com.puppycrawl.tools.checkstyle.checks.naming.AbstractNameCheck
                          com.puppycrawl.tools.checkstyle.checks.naming.StaticVariableNameCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class StaticVariableNameCheck

extends AbstractNameCheck

Checks that static, non-final variable names conform to a format specified by the format property. The format is a `regular expression` and defaults to ^[a-z][a-zA-Z0-9]*$.

An example of how to configure the check is:

     <module name="StaticVariableName"/>

An example of how to configure the check for names that begin with a lower case letter, followed by letters, digits, and underscores is:

     <module name="StaticVariableName">
        <property name="format" value="^[a-z](_?[a-zA-Z0-9]+)*$"/>
     </module>

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`StaticVariableNameCheck()` Creates a new `StaticVariableNameCheck` instance.

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`protected boolean` `mustCheckName(DetailAST aAST)` Decides whether the name of an AST should be checked against the format regexp.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.naming.AbstractNameCheck
`visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
`getFormat, getRegexp, setCompileFlags, setFormat`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticVariableNameCheck

    public StaticVariableNameCheck()

  Creates a new `StaticVariableNameCheck` instance.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### mustCheckName

    protected final boolean mustCheckName(DetailAST aAST)

  Decides whether the name of an AST should be checked against the format regexp.

  Overrides:
    `mustCheckName` in class `AbstractNameCheck`
  Parameters:
    `aAST` - the AST to check.
  Returns:
    true if the IDENT subnode of aAST should be checked against the format regexp.

Back to the Checkstyle Home Page